2021-09-23 03:45 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003180FSSCPturretspublic2021-05-13 02:12
ReporterSpoon 
Assigned ToMageKing17 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
Product Version3.7.4 RC1 
Target VersionFixed in Version 
Summary0003180: Protect ship - Turret threats: Laser protect ship also causes it to be protected from beams, turrets still track.
DescriptionSetting a ship to be laser protected from turrets causes beam turrets (at least confirmed on multi part turrets) to also not fire on the target. They do still track the target, but never fire.
When the target is beam protected, the turrets do no track.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016831

MageKing17 (developer)

Is this beam weapon perchance defined in a "#Primary Weapons" block (or have a "$Subtype: Primary" line)?

~0016835

Spoon (reporter)

Yes, every beam in the table is under #Primary weapons. Just like the retail weapons.tbl, the #Beam Weapons block there is empty too. So if this is the cause, then it affects probably every mod and retail too. I've never used $Subtype: anywhere myself.

~0016960

Goober5000 (administrator)

Is this still an issue? I looked at the x-protect flags at one point recently and they all appear to be working properly.

~0016999

Goober5000 (administrator)

In the process of fixing this. The ai_fire_from_turret function has suffered from a lot of code rot over the years, and the multi-weapon-turret feature wasn't implemented very well.

~0017106

Goober5000 (administrator)

Turns out MageKing17 identified the correct cause, but since this was never confirmed, the bug was never closed.
+Notes

-Issue History
Date Modified Username Field Change
2016-06-21 18:05 Spoon New Issue
2016-07-29 22:56 MageKing17 Note Added: 0016831
2016-11-22 16:15 Spoon Note Added: 0016835
2020-04-12 22:27 Goober5000 Note Added: 0016960
2020-07-06 22:25 Goober5000 Assigned To => Goober5000
2020-07-06 22:25 Goober5000 Status new => acknowledged
2020-07-06 22:25 Goober5000 Note Added: 0016999
2021-05-13 02:12 Goober5000 Assigned To Goober5000 => MageKing17
2021-05-13 02:12 Goober5000 Status acknowledged => closed
2021-05-13 02:12 Goober5000 Resolution open => no change required
2021-05-13 02:12 Goober5000 Note Added: 0017106
+Issue History